Bug 18119 - Bug 17988 broke cataloging javascript functionality
Summary: Bug 17988 broke cataloging javascript functionality
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17988
Blocks: 17780
  Show dependency treegraph
 
Reported: 2017-02-15 07:05 UTC by Josef Moravec
Modified: 2017-02-24 23:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18119: Fix comment in cataloguing.js (1.38 KB, patch)
2017-02-15 07:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18119: Fix comment in cataloguing.js (1.45 KB, patch)
2017-02-15 07:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2017-02-15 07:05:35 UTC
See comment 8 on bug 17988
Comment 1 Josef Moravec 2017-02-15 07:08:49 UTC
Blocks 17780, because it is not testable without this patch
Comment 2 Josef Moravec 2017-02-15 07:09:18 UTC
Created attachment 60237 [details] [review]
Bug 18119: Fix comment in cataloguing.js

Test plan:
Go to cataloging, and try something which depends on javascript -
collapse/uncollapse fields, open authority search window, ...
    -> without patch it is not working
    -> with patch it is working correctly
Comment 3 Jonathan Druart 2017-02-15 07:50:15 UTC
Created attachment 60240 [details] [review]
Bug 18119: Fix comment in cataloguing.js

Test plan:
Go to cataloging, and try something which depends on javascript -
collapse/uncollapse fields, open authority search window, ...
    -> without patch it is not working
    -> with patch it is working correctly

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-02-15 07:50:52 UTC
Thanks Josef!
Skipping QA as it's  very easy one.
Comment 5 Kyle M Hall 2017-02-15 11:13:12 UTC
Pushed to master for 17.05, thanks Josef!
Comment 6 Katrin Fischer 2017-02-19 19:47:57 UTC
Decided to push last patch from 17988 and then this on top, so that master and 16.11.x have all patches.

This patch has been pushed to 16.11.x and will be in 16.11.04.
Comment 7 Marcel de Rooy 2017-02-24 08:02:34 UTC
16.05 still needs this one
Comment 8 Mason James 2017-02-24 23:10:56 UTC
(In reply to Marcel de Rooy from comment #7)
> 16.05 still needs this one

Pushed to 16.05.x, for 16.05.10 release